/*
 * © 2009 David ‘Bombe’ Roden
 */
package net.pterodactylus.arachne.parser;

import java.io.InputStream;

/**
 * Interface for a parser. A parser understands the format it should parse and
 * can generate events based on the parsed content.
 *
 * @see ParserListener
 * @author David ‘Bombe’ Roden <bombe@pterodactylus.net>
 */
public interface Parser {

	/**
	 * Parses the given input stream and sends events to the given listener.
	 *
	 * @param parserListener
	 *            The listener to send events to
	 * @param inputStream
	 *            The input stream to parse
	 */
	public void parse(ParserListener parserListener, InputStream inputStream);

}
